<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/PlaybackController/test/PlaybackControllerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7b6c89f8529a936fe9cff738852cb883.html">PlaybackController</a></li><li class="navelem"><a class="el" href="dir_07684b894abc8cb7b61ba78c5ec86694.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">PlaybackControllerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_message_request_8h_source.html">AVSCommon/AVS/MessageRequest.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_message_sender_8h_source.html">AVSCommon/SDKInterfaces/MockMessageSender.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_context_manager_8h_source.html">AVSCommon/SDKInterfaces/MockContextManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_playback_router_8h_source.html">AVSCommon/SDKInterfaces/MockPlaybackRouter.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_playback_controller_8h_source.html">PlaybackController/PlaybackController.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for PlaybackControllerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_playback_controller_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_playback_controller_2test_2_playback_controller_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_playback_controller_2test_2_playback_controller_test_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_playback_controller_2test_2_playback_controller_test_8cpp">
<area shape="rect" id="node6" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="2109,299,2358,324"/>
<area shape="rect" id="node19" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="2677,119,2847,157"/>
<area shape="rect" id="node24" href="_mock_message_sender_8h.html" title="AVSCommon/SDKInterfaces\l/MockMessageSender.h" alt="" coords="2248,119,2438,157"/>
<area shape="rect" id="node27" href="_mock_context_manager_8h.html" title="AVSCommon/SDKInterfaces\l/MockContextManager.h" alt="" coords="1981,119,2172,157"/>
<area shape="rect" id="node33" href="_mock_playback_router_8h.html" title="AVSCommon/SDKInterfaces\l/MockPlaybackRouter.h" alt="" coords="2462,119,2653,157"/>
<area shape="rect" id="node37" href="_playback_controller_8h.html" title="PlaybackController\l/PlaybackController.h" alt="" coords="1400,119,1547,157"/>
<area shape="rect" id="node13" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2153,379,2354,417"/>
<area shape="rect" id="node17" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="2378,379,2625,417"/>
<area shape="rect" id="node16" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="2286,465,2448,504"/>
<area shape="rect" id="node21" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2652,205,2828,244"/>
<area shape="rect" id="node22" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="2432,292,2608,331"/>
<area shape="rect" id="node25" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="1880,205,2070,244"/>
<area shape="rect" id="node28" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="1537,205,1728,244"/>
<area shape="rect" id="node29" href="_context_requester_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextRequesterInterface.h" alt="" coords="1565,379,1761,417"/>
<area shape="rect" id="node30" href="_state_provider_interface_8h.html" title="AVSCommon/SDKInterfaces\l/StateProviderInterface.h" alt="" coords="1404,292,1594,331"/>
<area shape="rect" id="node31" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="1312,379,1541,417"/>
<area shape="rect" id="node32" href="_state_refresh_policy_8h.html" title="AVSCommon/AVS/StateRefresh\lPolicy.h" alt="" coords="1772,292,1984,331"/>
<area shape="rect" id="node34" href="_playback_router_interface_8h.html" title="AVSCommon/SDKInterfaces\l/PlaybackRouterInterface.h" alt="" coords="2386,205,2577,244"/>
<area shape="rect" id="node35" href="_playback_handler_interface_8h.html" title="PlaybackHandlerInterface.h" alt="" coords="2885,299,3070,324"/>
<area shape="rect" id="node36" href="_playback_buttons_8h.html" title="AVSCommon/AVS/PlaybackButtons.h" alt="" coords="2782,385,3027,411"/>
<area shape="rect" id="node39" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="472,379,665,417"/>
<area shape="rect" id="node41" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="841,292,1067,331"/>
<area shape="rect" id="node42" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1090,292,1278,331"/>
<area shape="rect" id="node43" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="438,205,632,244"/>
<area shape="rect" id="node50" href="_playback_command_8h.html" title="PlaybackCommand.h" alt="" coords="2633,299,2781,324"/>
<area shape="rect" id="node49" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="470,292,664,331"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test_1_1_playback_controller_test.html">alexaClientSDK::capabilityAgents::playbackController::test::PlaybackControllerTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test harness for <code>StateSynchronizer</code> class.  <a href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test_1_1_playback_controller_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html">alexaClientSDK::capabilityAgents::playbackController</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html">alexaClientSDK::capabilityAgents::playbackController::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac6b18624568f801d436a25dd0ef96f39"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ac6b18624568f801d436a25dd0ef96f39">alexaClientSDK::capabilityAgents::playbackController::test::checkMessageRequest</a> (std::shared_ptr&lt; MessageRequest &gt; messageRequest, const std::string &amp;expected_payload_name, const std::string &amp;expected_payload_action)</td></tr>
<tr class="separator:ac6b18624568f801d436a25dd0ef96f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aded12a1d14873ba9b3065f24fe607004"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aded12a1d14873ba9b3065f24fe607004">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_createSuccessfully)</td></tr>
<tr class="separator:aded12a1d14873ba9b3065f24fe607004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6242e0feff00492001d78fc26d477bb0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a6242e0feff00492001d78fc26d477bb0">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_createWithError)</td></tr>
<tr class="separator:a6242e0feff00492001d78fc26d477bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef96a91d62c4ff21fa3a4ed339182479"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aef96a91d62c4ff21fa3a4ed339182479">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_playButtonPressed)</td></tr>
<tr class="separator:aef96a91d62c4ff21fa3a4ed339182479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab46b957a542fea053a1a21de5a656ea1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ab46b957a542fea053a1a21de5a656ea1">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_pauseButtonPressed)</td></tr>
<tr class="separator:ab46b957a542fea053a1a21de5a656ea1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a3203f44d4da8727432eaad17b926b3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a7a3203f44d4da8727432eaad17b926b3">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_nextButtonPressed)</td></tr>
<tr class="separator:a7a3203f44d4da8727432eaad17b926b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42e687211e0d88b20549a675d79d0de9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a42e687211e0d88b20549a675d79d0de9">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_previousButtonPressed)</td></tr>
<tr class="separator:a42e687211e0d88b20549a675d79d0de9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adca5a22c1cac32f3e4a04e33d012eb9a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#adca5a22c1cac32f3e4a04e33d012eb9a">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_skipForwardButtonPressed)</td></tr>
<tr class="separator:adca5a22c1cac32f3e4a04e33d012eb9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf795f131d427c653bfe439204108fab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#acf795f131d427c653bfe439204108fab">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_skipBackwardButtonPressed)</td></tr>
<tr class="separator:acf795f131d427c653bfe439204108fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9d12e2f70ab625d2edacb8cdebc8bc1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aa9d12e2f70ab625d2edacb8cdebc8bc1">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_shuffleTogglePressed)</td></tr>
<tr class="separator:aa9d12e2f70ab625d2edacb8cdebc8bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06930b305af65c7409b41b87cc3a148e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a06930b305af65c7409b41b87cc3a148e">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_loopTogglePressed)</td></tr>
<tr class="separator:a06930b305af65c7409b41b87cc3a148e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba51baa906f139166788cb642fe1d27"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a0ba51baa906f139166788cb642fe1d27">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_repeatTogglePressed)</td></tr>
<tr class="separator:a0ba51baa906f139166788cb642fe1d27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cbb9e0fddc4550861e6eba5cbd08b99"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a4cbb9e0fddc4550861e6eba5cbd08b99">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_thumbsUpTogglePressed)</td></tr>
<tr class="separator:a4cbb9e0fddc4550861e6eba5cbd08b99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af73f960f5801a6c16a4ea99e7eebbb70"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#af73f960f5801a6c16a4ea99e7eebbb70">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_thumbsDownTogglePressed)</td></tr>
<tr class="separator:af73f960f5801a6c16a4ea99e7eebbb70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9c1a0581db9c2488c1d3f4ca1f4f52"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a3a9c1a0581db9c2488c1d3f4ca1f4f52">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_getContextFailure)</td></tr>
<tr class="separator:a3a9c1a0581db9c2488c1d3f4ca1f4f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea68479d31f501b9c849ef74f8c60142"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aea68479d31f501b9c849ef74f8c60142">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_sendMessageFailure)</td></tr>
<tr class="separator:aea68479d31f501b9c849ef74f8c60142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1091fb09024a57a1edb5889c89c481"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a2f1091fb09024a57a1edb5889c89c481">alexaClientSDK::capabilityAgents::playbackController::test::TEST_F</a> (PlaybackControllerTest, test_sendMessageException)</td></tr>
<tr class="separator:a2f1091fb09024a57a1edb5889c89c481"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a17c1c6e49606524a6d1b2e90248db95f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a17c1c6e49606524a6d1b2e90248db95f">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_CONTROLLER_NAMESPACE</a> = &quot;PlaybackController&quot;</td></tr>
<tr class="memdesc:a17c1c6e49606524a6d1b2e90248db95f"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS namespace of the event we send.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a17c1c6e49606524a6d1b2e90248db95f">More...</a><br /></td></tr>
<tr class="separator:a17c1c6e49606524a6d1b2e90248db95f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a811759f91f615ecf0eae6e4508a137e5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a811759f91f615ecf0eae6e4508a137e5">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_PLAY_NAME</a> = &quot;PlayCommandIssued&quot;</td></tr>
<tr class="memdesc:a811759f91f615ecf0eae6e4508a137e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event on the 'Play' button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a811759f91f615ecf0eae6e4508a137e5">More...</a><br /></td></tr>
<tr class="separator:a811759f91f615ecf0eae6e4508a137e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa97e156b818fce2aafc6fc2c7061f967"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aa97e156b818fce2aafc6fc2c7061f967">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_PAUSE_NAME</a> = &quot;PauseCommandIssued&quot;</td></tr>
<tr class="memdesc:aa97e156b818fce2aafc6fc2c7061f967"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event on the 'Pause' button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aa97e156b818fce2aafc6fc2c7061f967">More...</a><br /></td></tr>
<tr class="separator:aa97e156b818fce2aafc6fc2c7061f967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2fd0d0b48abe3551ee479dd01023ca6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ad2fd0d0b48abe3551ee479dd01023ca6">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_NEXT_NAME</a> = &quot;NextCommandIssued&quot;</td></tr>
<tr class="memdesc:ad2fd0d0b48abe3551ee479dd01023ca6"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event on the 'Next' button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ad2fd0d0b48abe3551ee479dd01023ca6">More...</a><br /></td></tr>
<tr class="separator:ad2fd0d0b48abe3551ee479dd01023ca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4631059ecdadb7005b284ff708b995cd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a4631059ecdadb7005b284ff708b995cd">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_PREVIOUS_NAME</a> = &quot;PreviousCommandIssued&quot;</td></tr>
<tr class="memdesc:a4631059ecdadb7005b284ff708b995cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event on the 'Previous' button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a4631059ecdadb7005b284ff708b995cd">More...</a><br /></td></tr>
<tr class="separator:a4631059ecdadb7005b284ff708b995cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac74cfd9b8ea6229723805d239d454d13"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ac74cfd9b8ea6229723805d239d454d13">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_BUTTON_NAME</a> = &quot;ButtonCommandIssued&quot;</td></tr>
<tr class="memdesc:ac74cfd9b8ea6229723805d239d454d13"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event on a <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ac74cfd9b8ea6229723805d239d454d13">More...</a><br /></td></tr>
<tr class="separator:ac74cfd9b8ea6229723805d239d454d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d81fec531212e38546570e9f1c9937"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a39d81fec531212e38546570e9f1c9937">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_SKIPFORWARD_NAME</a> = &quot;SKIPFORWARD&quot;</td></tr>
<tr class="memdesc:a39d81fec531212e38546570e9f1c9937"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'SKIPFORWARD' button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a39d81fec531212e38546570e9f1c9937">More...</a><br /></td></tr>
<tr class="separator:a39d81fec531212e38546570e9f1c9937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a217edee05c799444a8c0842419eb16b5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a217edee05c799444a8c0842419eb16b5">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_SKIPBACKWARD_NAME</a> = &quot;SKIPBACKWARD&quot;</td></tr>
<tr class="memdesc:a217edee05c799444a8c0842419eb16b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'SKIPBACKWARD' button pressed.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a217edee05c799444a8c0842419eb16b5">More...</a><br /></td></tr>
<tr class="separator:a217edee05c799444a8c0842419eb16b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3997076d37be21a6171437f6b45deade"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a3997076d37be21a6171437f6b45deade">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_TOGGLE_NAME</a> = &quot;ToggleCommandIssued&quot;</td></tr>
<tr class="memdesc:a3997076d37be21a6171437f6b45deade"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name of the event on a <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> toggle button toggled.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a3997076d37be21a6171437f6b45deade">More...</a><br /></td></tr>
<tr class="separator:a3997076d37be21a6171437f6b45deade"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa589936e8882da834bbc97fc96e55b59"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aa589936e8882da834bbc97fc96e55b59">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_SHUFFLE_NAME</a> = &quot;SHUFFLE&quot;</td></tr>
<tr class="memdesc:aa589936e8882da834bbc97fc96e55b59"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'SHUFFLE' button toggled.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aa589936e8882da834bbc97fc96e55b59">More...</a><br /></td></tr>
<tr class="separator:aa589936e8882da834bbc97fc96e55b59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ca92e18c188efe195ab3b78a69f5faa"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a5ca92e18c188efe195ab3b78a69f5faa">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_LOOP_NAME</a> = &quot;LOOP&quot;</td></tr>
<tr class="memdesc:a5ca92e18c188efe195ab3b78a69f5faa"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'LOOP' button toggled.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a5ca92e18c188efe195ab3b78a69f5faa">More...</a><br /></td></tr>
<tr class="separator:a5ca92e18c188efe195ab3b78a69f5faa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97562be259a12dd4f069205704c5af0d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a97562be259a12dd4f069205704c5af0d">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_REPEAT_NAME</a> = &quot;REPEAT&quot;</td></tr>
<tr class="memdesc:a97562be259a12dd4f069205704c5af0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'REPEAT' button toggled.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a97562be259a12dd4f069205704c5af0d">More...</a><br /></td></tr>
<tr class="separator:a97562be259a12dd4f069205704c5af0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af490a59b28ad4507940c4672ee9c4713"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#af490a59b28ad4507940c4672ee9c4713">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_THUMBSUP_NAME</a> = &quot;THUMBSUP&quot;</td></tr>
<tr class="memdesc:af490a59b28ad4507940c4672ee9c4713"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'THUMBSUP' button toggled.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#af490a59b28ad4507940c4672ee9c4713">More...</a><br /></td></tr>
<tr class="separator:af490a59b28ad4507940c4672ee9c4713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf690290729e7336d07888f3eb6f6c8a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aaf690290729e7336d07888f3eb6f6c8a">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_THUMBSDOWN_NAME</a> = &quot;THUMBSDOWN&quot;</td></tr>
<tr class="memdesc:aaf690290729e7336d07888f3eb6f6c8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name inside the event payload on the 'THUMBSDOWN' button toggled.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aaf690290729e7336d07888f3eb6f6c8a">More...</a><br /></td></tr>
<tr class="separator:aaf690290729e7336d07888f3eb6f6c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4693b426bd615101e583973d610be0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aab4693b426bd615101e583973d610be0">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_SELECTED_NAME</a> = &quot;SELECT&quot;</td></tr>
<tr class="memdesc:aab4693b426bd615101e583973d610be0"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name for 'SELECT' action on a toggle button.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#aab4693b426bd615101e583973d610be0">More...</a><br /></td></tr>
<tr class="separator:aab4693b426bd615101e583973d610be0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16dd63d1ddeb783ab6c58844a581ae31"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a16dd63d1ddeb783ab6c58844a581ae31">alexaClientSDK::capabilityAgents::playbackController::test::PLAYBACK_DESELECTED_NAME</a> = &quot;DESELECT&quot;</td></tr>
<tr class="memdesc:a16dd63d1ddeb783ab6c58844a581ae31"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS name for 'DESELECT' action on a toggle button.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a16dd63d1ddeb783ab6c58844a581ae31">More...</a><br /></td></tr>
<tr class="separator:a16dd63d1ddeb783ab6c58844a581ae31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81f113ddb1f557dd9dbeb6f98e5b9922"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a81f113ddb1f557dd9dbeb6f98e5b9922">alexaClientSDK::capabilityAgents::playbackController::test::TEST_EXCEPTION_TEXT</a> = &quot;Exception test&quot;</td></tr>
<tr class="memdesc:a81f113ddb1f557dd9dbeb6f98e5b9922"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to test for MessageRequest exceptionReceived()  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a81f113ddb1f557dd9dbeb6f98e5b9922">More...</a><br /></td></tr>
<tr class="separator:a81f113ddb1f557dd9dbeb6f98e5b9922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3cd7a779eea23cb1fc6e3ca61df5aad"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ad3cd7a779eea23cb1fc6e3ca61df5aad">alexaClientSDK::capabilityAgents::playbackController::test::TEST_RESULT_WAIT_PERIOD</a> {100}</td></tr>
<tr class="memdesc:ad3cd7a779eea23cb1fc6e3ca61df5aad"><td class="mdescLeft">&#160;</td><td class="mdescRight">A short period of time to wait for the m_contextTrigger or m_messageTrigger.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#ad3cd7a779eea23cb1fc6e3ca61df5aad">More...</a><br /></td></tr>
<tr class="separator:ad3cd7a779eea23cb1fc6e3ca61df5aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81b8b8ecc2e489b30c93993dfc030211"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a81b8b8ecc2e489b30c93993dfc030211">alexaClientSDK::capabilityAgents::playbackController::test::MOCK_CONTEXT</a></td></tr>
<tr class="memdesc:a81b8b8ecc2e489b30c93993dfc030211"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock context returned by MockContextManager.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html#a81b8b8ecc2e489b30c93993dfc030211">More...</a><br /></td></tr>
<tr class="separator:a81b8b8ecc2e489b30c93993dfc030211"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
